Subject: Re: linux-next: build failure after merge of the nfs tree

From: Trond Myklebust <[email-masked]>
Date: Thu, 12 May 2011 11:11:21 -0400

On Thu, 2011-05-12 at 11:12 +1000, Stephen Rothwell wrote:
> Hi Trond,
> 
> After merging the nfs tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> fs/nfs/write.c: In function 'nfs_flush_multi':
> fs/nfs/write.c:942: error: too many arguments to function 'pnfs_update_layout'
> fs/nfs/write.c: In function 'nfs_flush_one':
> fs/nfs/write.c:1016: error: too many arguments to function 'pnfs_update_layout'
> fs/nfs/read.c: In function 'nfs_pagein_multi':
> fs/nfs/read.c:291: error: too many arguments to function 'pnfs_update_layout'
> fs/nfs/read.c: In function 'nfs_pagein_one':
> fs/nfs/read.c:354: error: too many arguments to function 'pnfs_update_layout'
> 
> Cased by commit 4b386a0fe47b ("NFSv4.1: Ensure that layoutget uses the
> correct gfp modes") which forgot to update the function declaration for
> the !CONFIG_NFS_V4_1 case.
> 
> I have used the nfs tree from next-20110511 for today.

Hi Stephen,

Sorry about that. I thought I had found all occurrences and updated
them. The above issue should now be fixed in the git tree...

Cheers
  Trond